GET api/EmployeeRDOBalance
Gets paged employee RDO balances (bypass = direct DB, else SignalR). Adds pagination header.
Request Information
URI Parameters
(i.e.queryString parameters in the form ?param1={param1}¶m2={param2})
| Name | Description | Type | Additional information |
|---|---|---|---|
| page |
Page index (>=1). |
integer |
Default value is 1 |
| pageSize |
Page size (>=1, default 1000). |
integer |
Default value is 1000 |
Body Parameters
None.
Response Information
Resource Description
Paged employee RDO balances or error response.
PagedObjectOfEmployeeRdoBalanceView| Name | Description | Type | Additional information |
|---|---|---|---|
| Items |
Collection of EmployeeRdoBalance  View |
None. |
|
| PageInfo | PagedListPageInfo |
None. |
Response Formats
application/json, text/json
Sample:
{
"items": [
{
"idEmployeeRDO": 2,
"idEmployee": 3,
"empCode": "sample string 4",
"idRDO": 5,
"accumulatedHours": 6.0,
"dateAccumulated": "2026-06-14T18:38:19.6648767+10:00"
},
{
"idEmployeeRDO": 2,
"idEmployee": 3,
"empCode": "sample string 4",
"idRDO": 5,
"accumulatedHours": 6.0,
"dateAccumulated": "2026-06-14T18:38:19.6648767+10:00"
}
],
"pageInfo": {
"page": 1,
"pageSize": 2,
"totalCount": 3,
"totalPages": 4,
"countThisPage": 5,
"hasPreviousPage": true,
"hasNextPage": true,
"errorMessage": "sample string 8"
}
}
application/xml, text/xml
Sample:
<PagedObjectOfEmployeeRdoBalanceView xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<Items>
<EmployeeRdoBalanceView>
<InternalId>1</InternalId>
<IdEmployeeRDO>2</IdEmployeeRDO>
<IdEmployee>3</IdEmployee>
<EmpCode>sample string 4</EmpCode>
<IdRDO>5</IdRDO>
<AccumulatedHours>6</AccumulatedHours>
<DateAccumulated>2026-06-14T18:38:19.6648767+10:00</DateAccumulated>
</EmployeeRdoBalanceView>
<EmployeeRdoBalanceView>
<InternalId>1</InternalId>
<IdEmployeeRDO>2</IdEmployeeRDO>
<IdEmployee>3</IdEmployee>
<EmpCode>sample string 4</EmpCode>
<IdRDO>5</IdRDO>
<AccumulatedHours>6</AccumulatedHours>
<DateAccumulated>2026-06-14T18:38:19.6648767+10:00</DateAccumulated>
</EmployeeRdoBalanceView>
</Items>
<PageInfo>
<Page>1</Page>
<PageSize>2</PageSize>
<TotalCount>3</TotalCount>
<TotalPages>4</TotalPages>
<CountThisPage>5</CountThisPage>
<HasPreviousPage>true</HasPreviousPage>
<HasNextPage>true</HasNextPage>
<ErrorMessage>sample string 8</ErrorMessage>
</PageInfo>
</PagedObjectOfEmployeeRdoBalanceView>